Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo
Class RangeRefreshEvent

`java.lang.Object
java.util.EventObject
oracle.jbo.JboEvent
oracle.jbo.RangeEvent
oracle.jbo.RangeRefreshEvent`

All Implemented Interfaces:
  java.io.Serializable

public class RangeRefreshEvent
extends oracle.jbo.RangeEvent

Generated by `RowSetIterator` to inform its listeners when a range of rows need to be redrawn.

When a single row is updated an `UpdateEvent` should be generated, rather than this event.

Since:
  JDeveloper 3.0
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`RangeRefreshEvent(RowSetIterator source, int rangeStart, int rowCountInRange, Row[] rows)` Creates a range refresh event.
`RangeRefreshEvent(RowSetIterator source, int rangeStart, int rowCountInRange, Row[] rows, boolean isReset)`
`RangeRefreshEvent(RowSetIterator source, int rangeStart, int rowCountInRange, Row[] rows, boolean isReset, Row[] masterRows)`

Method Summary
`Row[]` | `getAllRowsInRange()` Extracts the rows in the range.
`Row[]` | `getMasterRows()`
`int` | `getRangeStart()` Gets the absolute index of the first row in the row set range.
`int` | `getRowCountInRange()` Counts the number of rows in the row set range.
`boolean` | `isPosReset()`
`boolean` | `isReset()`
`void` | `setPosReset(boolean b)`
`java.lang.String` | `toString()` Internal: For debugging only.

Methods inherited from class oracle.jbo.RangeEvent
`toString`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RangeRefreshEvent

    public RangeRefreshEvent(RowSetIterator source,
                             int rangeStart,
                             int rowCountInRange,
                             Row[] rows)

  Creates a range refresh event.
Parameters:
  `source` - the publisher of the event.
  `rangeStart` - the View Object index of the first row in the range.
  `rowCountInRange` - the number of rows in the range.
  `rows` - an array of row objects. The length of the array is given by `rowCountInRange`.

### RangeRefreshEvent

    public RangeRefreshEvent(RowSetIterator source,
                             int rangeStart,
                             int rowCountInRange,
                             Row[] rows,
                             boolean isReset)

### RangeRefreshEvent

    public RangeRefreshEvent(RowSetIterator source,
                             int rangeStart,
                             int rowCountInRange,
                             Row[] rows,
                             boolean isReset,
                             Row[] masterRows)

Method Detail

### getMasterRows

    public Row[] getMasterRows()

### getRangeStart

    public int getRangeStart()

  Gets the absolute index of the first row in the row set range.
  Returns:
    the View Object index of the first row of the range.

### getRowCountInRange

    public int getRowCountInRange()

  Counts the number of rows in the row set range.
  Returns:
    the number of rows.

### getAllRowsInRange

    public Row[] getAllRowsInRange()

  Extracts the rows in the range.
  Returns:
    an array of rows.

### isReset

    public boolean isReset()

### setPosReset

    public void setPosReset(boolean b)

### isPosReset

    public boolean isPosReset()

### toString

    public java.lang.String toString()

  Internal: For debugging only.
  Returns:
    a diagnostic string.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.